Bug 67242 - [em] [patch] dev/em/if_em.c isn't ctags compatible
Summary: [em] [patch] dev/em/if_em.c isn't ctags compatible
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 4.8-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-27 02:40 UTC by Craig Leres
Modified: 2006-04-18 22:16 UTC (History)
0 users

See Also:


Attachments
file.diff (1.97 KB, patch)
2004-05-27 02:40 UTC, Craig Leres
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2004-05-27 02:40:21 UTC
	If you make tags in a kernel build tree, most of the routines
	in dev/em/if_em.c are not available as tags. This is due
	to mis-matched braces that occur due to ifdef's.

Fix: The appended context diff (which is against FreeBSD-current)
	makes braces match across ifdef's.

==============================================================================
How-To-Repeat: 	cd /sys/dev/em
	ctags if_em.c
	vi -t em_add_int_delay_sysctl
	(the tag -- the last routine in the module -- isn't found)
Comment 1 Mark Linimon freebsd_committer 2004-06-02 05:13:58 UTC
Responsible Changed
From-To: gnats-admin->freebsd-bugs

Rescue this from the 'pending' category.
Comment 2 wilko freebsd_committer 2004-06-07 21:33:31 UTC
Responsible Changed
From-To: freebsd-bugs->tackerman

Tony takes care of the Intel drivers.
Comment 3 Mark Linimon freebsd_committer 2006-04-05 01:35:00 UTC
State Changed
From-To: open->feedback

Did this ever get incorporated? 


Comment 4 Mark Linimon freebsd_committer 2006-04-05 01:35:00 UTC
Responsible Changed
From-To: tackerman->linimon

Reset PR assigned to inactive committer. 

Hat:	gnats-admin
Comment 5 Maxim Konovalov freebsd_committer 2006-04-18 22:16:06 UTC
State Changed
From-To: feedback->closed

Not an issue anymore.